Skip to main content
POST
/
transfer
/
validate
Validate Customer Transfer Request
curl --request POST \
  --url https://devapi.withedge.co/gateway/api/v1/transfer/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'requestId: <requestid>' \
  --data '
{
  "transactionId": "<string>",
  "otpReferenceId": "<string>",
  "otp": "<string>"
}
'
import requests

url = "https://devapi.withedge.co/gateway/api/v1/transfer/validate"

payload = {
"transactionId": "<string>",
"otpReferenceId": "<string>",
"otp": "<string>"
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({transactionId: '<string>', otpReferenceId: '<string>', otp: '<string>'})
};

fetch('https://devapi.withedge.co/gateway/api/v1/transfer/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
	"statusCode": 00,
	"message": "Completed successfully"
	"data": {
		"amount": 1213211231,
		"beneficiaryAccountName": "Peter Parker",
		"beneficiaryAccountNumber": "1234567890",
		"beneficiaryBankCode": "001001",
		"transactionId": "txn_0011223344",
		"narration": "Transfer to John Doe"
	},
	"errors": []
}

Validate Customer Transfer Request

Use this endpoint to validate a previously initiated transfer request by providing the OTP sent to the customer.

Request Parameters

requestId
string
required
A unique identifier for the request, used for idempotency.
Example: e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9
transactionId
string
required
The unique identifier for the transaction, returned after successfully initiating the transfer request.
Example: txn_0011223344
otpReferenceId
string
required
The reference ID for the OTP, returned after successfully initiating the transfer request.
Example: otp_1234567890
otp
string
required
The one-time password sent to the phone number associated with the source account.
Example: 123456
{
	"statusCode": 00,
	"message": "Completed successfully"
	"data": {
		"amount": 1213211231,
		"beneficiaryAccountName": "Peter Parker",
		"beneficiaryAccountNumber": "1234567890",
		"beneficiaryBankCode": "001001",
		"transactionId": "txn_0011223344",
		"narration": "Transfer to John Doe"
	},
	"errors": []
}